<?php 

//Iniciando a sessão:
if (session_status() !== PHP_SESSION_ACTIVE) {
  session_start();
  $_SESSION['ativo'] = 0;
}
/* ------------------------------- */
/*    Recebe o parametro Global    */
/* ------------------------------- */
$parametro = "";
if (isset($_POST['POST_paramentro'])) {
    $parametro = $_POST['POST_paramentro'];
}
if ($parametro == "Seleciona_Traslados") {
    $ArrayDados = array();
	
    $ArrayDados['origem'] = $_POST['origem'];
    $ArrayDados['destino'] = $_POST['destino'];
    $ArrayDados['date_ini'] = $_POST['date_ini'];
    $ArrayDados['date_fim'] = $_POST['date_fim'];
    $ArrayDados['dias'] = $_POST['dias'];
    $ArrayDados['fornecedor'] = $_POST['fornecedor'];
    $ArrayDados['grupo'] = $_POST['grupo'];
    $ArrayDados['tipo'] = $_POST['tipo'];
    $ArrayDados['deposito'] = $_POST['deposito'];
    $ArrayDados['usuario'] = $_POST['usuario'];
    $ArrayDados['Identificador'] = $_POST['Identificador'];
    Table_Traslados($ArrayDados);
}
if ($parametro == "consulta") {
    $ArrayDados = array();
	
    $ArrayDados['origem']    = $_POST['origem'];
    $ArrayDados['destino']   = $_POST['destino'];
    $ArrayDados['date_ini']  = $_POST['date_ini'];
    $ArrayDados['date_fim']  = $_POST['date_fim'];
    $ArrayDados['dias']      = $_POST['dias'];
    $ArrayDados['cod']       = $_POST['cod'];

    consultar($ArrayDados);
}

if ($parametro == "Seleciona_Pedido"){
    $ArrayDados = array();

    $ArrayDados['Identificador'] = $_POST['Identificador'];
    Table_Traslados2($ArrayDados);
}
if ($parametro == "del_pedido"){
    $ArrayDados = array();

    $ArrayDados['Identificador'] = $_POST['Identificador'];
    deletar_pedido($ArrayDados);
}
if ($parametro == "del_item"){
    $ArrayDados = array();

    $ArrayDados['Identificador'] = $_POST['Identificador'];
    deletar_item($ArrayDados);
}



if ($parametro == "UP_pedido"){
    $ArrayDados = array();

    $ArrayDados['Identificador'] = $_POST['Identificador'];
    $ArrayDados['status']  = $_POST['status'];
    $ArrayDados['usuario'] = $_POST['usuario'];
    UP_pedido($ArrayDados);
}

if ($parametro == "UP_pedidoM"){
    $ArrayDados = array();

    $ArrayDados['Identificador'] = $_POST['Identificador'];
    UP_pedidoM($ArrayDados);
}

if ($parametro == "UP_pedido_manual"){
    $ArrayDados = array();

    $ArrayDados['Identificador'] = $_POST['Identificador'];
    $ArrayDados['status']  = $_POST['status'];
    $ArrayDados['usuario'] = $_POST['usuario'];
    UP_pedido_manual($ArrayDados);
}



if ($parametro == "prod"){

    $result = produtos();
    $consulta = [];

    while($row = mysqli_fetch_array($result)){
          array_push($consulta, $row[0]);
    }
    
    echo json_encode($consulta);
}
if ($parametro == "IMPORTACAO"){

	if(!empty($_FILES['file_arquivo']['tmp_name'])){
		$arquivo = new DomDocument();
		$arquivo->load($_FILES['file_arquivo']['tmp_name']);
		$linhas = $arquivo->getElementsByTagName("Row");
		$remove_linha_zero = true;
		
		//$array_produtos_novos = [];
		$novos_prod = 0;
		$update_prod = 0;
		
		$pg = array ();
		
				$ArrayDados['origem']    = $_POST['origem'];
				$ArrayDados['destino']   = $_POST['destino'];
				$ArrayDados['date_ini']  = $_POST['date_ini'];
				$ArrayDados['date_fim']  = $_POST['date_fim'];
				$ArrayDados['dias']      = $_POST['dias'];
		
		foreach($linhas as $key => $linha){
			if($remove_linha_zero == false){
				
				@$QTD   		= $linha->getElementsByTagName("Data")->item(0)->nodeValue;
				@$GRUPO   		= $linha->getElementsByTagName("Data")->item(1)->nodeValue;
				@$CODIGO   		= $linha->getElementsByTagName("Data")->item(2)->nodeValue;
				@$DESCRICAO     = str_replace("'","´",$linha->getElementsByTagName("Data")->item(3)->nodeValue);
				@$SALDO   		= $linha->getElementsByTagName("Data")->item(4)->nodeValue;
				@$APLICA        = str_replace("'","´",$linha->getElementsByTagName("Data")->item(5)->nodeValue);
				@$REF1   		= $linha->getElementsByTagName("Data")->item(6)->nodeValue;
				@$REF2   		= $linha->getElementsByTagName("Data")->item(7)->nodeValue;
				@$PROCEDECIA	= $linha->getElementsByTagName("Data")->item(8)->nodeValue;
				
				$ArrayDados['cod']       = $CODIGO;

				$RESP = consultar2($ArrayDados);
				
				$l = array($QTD,$GRUPO,$CODIGO,$DESCRICAO,$RESP['PROD_PRECO'],$APLICA,$REF1,$REF2,$PROCEDECIA,$RESP['DIASINTERVAL'],$RESP['MOV_SAIDAS'],$RESP['MEDIA'],$RESP['QUANT_ORIGEM'],$RESP['QUANT_DESTINO'],$RESP['DIAS'],$RESP['DEPOSITO']);
				//echo $CODIGO."<br>";
				array_push($pg, $l);
			}
			$remove_linha_zero = false;
		}
		echo json_encode($pg);
	}    
}
if ($parametro == 'PED'){
        date_default_timezone_set('America/Bahia');
        $db     = conectDB();
                
        $id_ped = $_POST['resultado'];
        $SQL    = "SELECT * FROM `uni_analise` WHERE `pedido_cod` = $id_ped";
        $result = mysqli_query($db,$SQL);
		
		$VALORTOTAL = 0;
		
        $SQL2    = "SELECT preco,separado,(preco * separado) AS VALOR_TOTAL,prod_codigo FROM `uni_analise` WHERE `pedido_cod` = $id_ped";
        $result2 = mysqli_query($db,$SQL2);
		
			while($list = mysqli_fetch_array($result2)){
				$cod_produto       = str_replace(' ', '',$list['prod_codigo']);
				$quant_sep         = $list['separado'];
				if($quant_sep != 0){
					
						$GROUP          = substr($cod_produto,0,3);
						$DESCONTO       = buscar_desc($GROUP,$cod_produto);
						
						$preco_geral  = $list['preco'] * $quant_sep;
						$preco_c_desconto  = round($preco_geral - ($preco_geral*($DESCONTO / 100)), 2);
						
						$VALORTOTAL   = $VALORTOTAL + $preco_c_desconto;
					
				}
			}

		
		
        //
        $SQL    = "SELECT U.codigo_loja,U.codigo_vendedor FROM `uni_pedidos` P INNER JOIN uni_lojas U ON P.loja=U.id WHERE P.id = $id_ped";
        $PEDIDO = mysqli_fetch_array(mysqli_query($db,$SQL));

            // CONFIGURAÇÕES
            $SQL    = "SELECT * FROM `uni_config`";
            $CONFIG = mysqli_fetch_array(mysqli_query($db,$SQL));
            $CODIGODESCONTO = $CONFIG['cod_desconto'];
            $CAMINHO        = $CONFIG['caminho'];
            $NUMITENS       = $CONFIG['max_itens'];
            
			
			$status_alt = UP_pedido_EXP($id_ped);
			
            // CONFIGURAÇÕES
        
        $e = '';
        $time    = 25;

        
        $arquivo_registro = mysqli_query($db,"INSERT INTO `uni_pedidos_arquivos`(`pedido_id`) VALUES ($id_ped)");
        $id_arquivo       = mysqli_insert_id($db);
        $cod_embalagem    = "55".str_pad($id_arquivo, 7, "0", STR_PAD_LEFT);
        
        $data_emissao   = date("dmY");
        $data_emissao2  = date("dmYHi");
        $hora           = date("h:i");
        $cod_cliente    = str_pad($PEDIDO["codigo_loja"], 7, "0", STR_PAD_LEFT);
        $UM             = "1";
        $cod_vendedor   = $PEDIDO["codigo_vendedor"];
        $preco_total_ped = 0;
        $quebra = chr(13).chr(10);
        $CONTADOR = 1;
        $CONTADORM1 = 1;

        while($lista = mysqli_fetch_array($result)){
              
            $cod_produto       = str_replace(' ', '',$lista['prod_codigo']);
            $quant_sep         = $lista['separado'];
            if($quant_sep != 0){
            
                $time    = 24;

                $GROUP          = substr($cod_produto,0,3);
                $DESCONTO       = buscar_desc($GROUP,$cod_produto);
                
				//$preco_geral  = $lista['preco'] * $quant_sep;
				$preco_geral2 = $lista['preco'];
                //$preco_c_desconto  = round($preco_geral - ($preco_geral*($DESCONTO / 100)), 2);
                $preco_c_desconto2  = round($preco_geral2 - ($preco_geral2*($DESCONTO / 100)), 2);
                
              //  $preco_total_ped   = $preco_total_ped + $preco_c_desconto;
                
                $e .= $cod_embalagem."||".$data_emissao."|".$hora."|".$cod_cliente."||".$data_emissao."|".$cod_produto."||".$UM."||||".$quant_sep."||".$preco_c_desconto2."|".$preco_c_desconto2."|||||||".$cod_vendedor."||$quebra";
                if($CONTADOR == $NUMITENS){
                    // PEDIDOS ITENS
                        $titulo_arquivo_item = $data_emissao2.$CONTADORM1;
                    // $arquivo = fopen("..\..\..\ASV\PEDITENS$titulo_arquivo_item.txt",'w');
                        $arquivo = fopen("$CAMINHO\PEDITENS$titulo_arquivo_item.$cod_vendedor",'w');
                        fwrite($arquivo, $e);
                        fclose($arquivo);
                        $marcador = true;
                    // PEDIDOS ITENS
					
                    // CABEÇALHO                         
                        $e2 = $cod_embalagem."||".$data_emissao."|".$hora."|".$hora."||".$data_emissao."|".$cod_cliente."|V|".$CODIGODESCONTO."|TRA||||||||||||||0|0|".$VALORTOTAL."|".$VALORTOTAL."||N|".$cod_vendedor."|||||\n";
                        $titulo_arquivo_cab = $data_emissao2.$CONTADORM1;
                        $arquivo = fopen("$CAMINHO\PEDCAB$titulo_arquivo_cab.$cod_vendedor",'w'); 
                        fwrite($arquivo, $e2);
                        fclose($arquivo);        
                    // CABEÇALHO   
					
                        $e = '';
                        
                            $arquivo_registro = mysqli_query($db,"INSERT INTO `uni_pedidos_arquivos`(`pedido_id`) VALUES ($id_ped)");
                            $id_arquivo       = mysqli_insert_id($db);
                            $cod_embalagem    = "55".str_pad($id_arquivo, 7, "0", STR_PAD_LEFT);
							$CONTADORM1++;
							$CONTADOR = 1;
                }else{
                    $marcador = false;
                }
				$CONTADOR++;
            }else{
                if($time == 24){
                    $time = 24;
                    $marcador = false;
                }else{
                    $time = 25;
                    $marcador = true;
                }
            }
        }        
        
        if( $marcador == false ){

			$CONTADOR = $CONTADORM1 > 1 ? $CONTADORM1 : $CONTADOR;
			
            // PEDIDOS ITENS
                $titulo_arquivo_item = $data_emissao2.$CONTADOR;
            // $arquivo = fopen("..\..\..\ASV\PEDITENS$titulo_arquivo_item.txt",'w');
                $arquivo = fopen("$CAMINHO\PEDITENS$titulo_arquivo_item.$cod_vendedor",'w');
                    
                fwrite($arquivo, $e);
                fclose($arquivo);
                $marcador = true;
            // PEDIDOS ITENS
            // CABEÇALHO
                $e2 = $cod_embalagem."||".$data_emissao."|".$hora."|".$hora."||".$data_emissao."|".$cod_cliente."|V|".$CODIGODESCONTO."|TRA||||||||||||||0|0|".$VALORTOTAL."|".$VALORTOTAL."||N|".$cod_vendedor."|||||\n";
                $titulo_arquivo_cab = $data_emissao2.$CONTADOR;
                $arquivo = fopen("$CAMINHO\PEDCAB$titulo_arquivo_cab.$cod_vendedor",'w'); 
                fwrite($arquivo, $e2);
                fclose($arquivo);        
            // CABEÇALHO   	
        }
		//if($time == 24){
		//}		

    echo json_encode($time);
}

if ($parametro == 'o5'){
        $_orcamento = json_decode($_POST['list'],true);
        
        $e = '';
        //var_dump($_orcamento);
        $cod_embalagem = "550006329";
        $data_emissao  = date("dmY");
        $hora          = date("h:i");
        $cod_cliente   = "0002119";
        $UM            = "1";
        $cod_vendedor  = "992";
        
        foreach ($_orcamento as $key => $lista) {
            $cod_produto       = str_replace(' ', '',$lista['cod']);
            $quant_sep         = $lista['sugestao'];
            $preco_c_desconto  = $lista['preco'];
            
            $e .= $cod_embalagem."||".$data_emissao."|".$hora."|".$cod_cliente."||".$data_emissao."|".$cod_produto."||".$UM."||||".$quant_sep."||".$preco_c_desconto."|".$preco_c_desconto."|||||||".$cod_vendedor."||\n";
        }
    
        $time    = true;
        //$JSON = json_encode($e);
        $arquivo = fopen('..\..\..\ASV\teste.txt','w');
        fwrite($arquivo, $e);
        fclose($arquivo);
        
    echo json_encode($time);
}
if ($parametro == 'o6'){
    
    $DADOS_PESQUISA  = json_decode($_POST['DADOS_PESQUISA'],true);
    $LIST_ITENS      = json_decode($_POST['LIST_ITENS'],true);
    $db  = conectDB();
    
	
		$operador = $_SESSION['id_user'];
		$contador = 1;
		$contador2 = 1;
		$linhas   = count($LIST_ITENS);
		
		
		$sql_pedido = mysqli_query($db,"INSERT INTO `uni_pedidos`(`loja`,`status`, `usuario`, `pedido`, `gerador`) VALUES ('".$DADOS_PESQUISA['destino']."','PENDENTE','".$DADOS_PESQUISA['usuario']."','','$operador')");
		$var        = mysqli_insert_id($db);
		$R = 0;
	
        $sql_itens = "INSERT INTO `uni_analise`(`pedido_cod`, `prod_codigo`, `prod_ref`, `prod_desc`, `dias_consulta`, `ven_period`, `media_dia`, `est_matriz`, `est_filial`, `sugestao`, `separado`, `status`, `preco`, `deposito`) VALUES";
		foreach ($LIST_ITENS as $key) {
			
			if($R != 0){
				$sql_itens .= ",('$var','".$key['cod']."','".$key['ref']."','".$key['desc']."','".$key['dias']."','".$key['saida']."','".$key['media']."','".$key['origem']."','".$key['destino']."','".$key['sugestao']."','0','PENDENTE','".$key['preco']."','".$key['deposito']."')";
			}else{
				$sql_itens .= "('$var','".$key['cod']."','".$key['ref']."','".$key['desc']."','".$key['dias']."','".$key['saida']."','".$key['media']."','".$key['origem']."','".$key['destino']."','".$key['sugestao']."','0','PENDENTE','".$key['preco']."','".$key['deposito']."')";
				$R++;	
			}
			
			if($contador2 == $linhas || $contador == 99){
				
				$sql_itens.= ";";
				$mont      = mysqli_query($db, $sql_itens);
				$sql_itens = "INSERT INTO `uni_analise`(`pedido_cod`, `prod_codigo`, `prod_ref`, `prod_desc`, `dias_consulta`, `ven_period`, `media_dia`, `est_matriz`, `est_filial`, `sugestao`, `separado`, `status`, `preco`, `deposito`) VALUES";

				if($contador2 != $linhas){
					$sql_pedido = mysqli_query($db,"INSERT INTO `uni_pedidos`(`loja`,`status`, `usuario`, `pedido`, `gerador`) VALUES ('".$DADOS_PESQUISA['destino']."','PENDENTE','".$DADOS_PESQUISA['usuario']."','','$operador')");
					$var        = mysqli_insert_id($db);
					$R = 0;
				}
	
				$contador = 1;
				$contador2++;
			}else{
				$contador++;
				$contador2++;
			}
		}
    
    echo json_encode($var);
}

// ATUALIZA PEDIDOS

if($parametro == 'ATUALIZARPED'){
	
		date_default_timezone_set('America/Bahia');
        $db     = conectDB();
		$SF     = conectDBSOFCON();
                
        $SQL    = "SELECT A.id,A.pedido_id FROM `uni_pedidos` P INNER JOIN `uni_pedidos_arquivos` A ON P.id=A.pedido_id WHERE P.status = 'EXPORTADO' AND P.pedido = 0";
        $result = mysqli_query($db,$SQL);
		
		while($RW = mysqli_fetch_array($result)){
				$cod_    = str_pad($RW['id'], 7, "0", STR_PAD_LEFT);

				$query      = $SF->query("SELECT SQL_PPEDIDO,SQL_PPEDVEN,SQL_PNUMNFS FROM PEDIDOS_GIM WHERE LTRIM(SQL_PPEDVEN) = '$cod_'");
				$produtos   = $query->fetchAll();
				if($produtos){
					$resp = UP_pedido_COD($produtos[0]['SQL_PPEDIDO'], $RW['id'], $produtos[0]['SQL_PNUMNFS'],$RW['pedido_id']);
				}
		}
		
		echo json_encode(24);
}

// ATUALIZA PEDIDOS
// ATUALIZA OFF BASE
if($parametro == 'ATUALIZAR_OFF_BASE'){
	
	    $pedidos  = $_POST['pedidos'];
	    $analise  = $_POST['analise'];
		$db  = conectDB();
		$resp = "";
		
		foreach ($pedidos as $key) {
			$SQL = "UPDATE `uni_pedidos` SET `status` = '".$key['status']."' WHERE `id` = ".$key['id'];
			$result = mysqli_query($db,$SQL);
		}
		
		foreach ($analise as $key) {
			$SQL = "UPDATE `uni_analise` SET `separado` = '".$key['separado']."' WHERE `id` = ".$key['id'];
			$result = mysqli_query($db,$SQL);
		}
		
		echo json_encode($result);
	
}
// ATUALIZA OFF BASE

function conectDB(){
    $db = mysqli_connect("localhost", "root", "", "unidos_sistema") or die("Erro ao selecionar banco");
    mysqli_set_charset($db,"utf8");
    return $db;
}
function conectDBSOFCON(){
	
	define('DB_HOST'        , "192.168.0.237");
	define('DB_USER'        , "projetos");
	define('DB_PASSWORD'    , "projetos");
	define('DB_NAME'        , "UNI");
	define('DB_DRIVER'      , "sqlsrv");
 
	require_once "Conexao.php";
	
	$Conexao    = Conexao::getConnection();
	
	return $Conexao;
}

function consultar($ArrayDados){ //jaylan

	ini_set('max_execution_time', -1);
	set_time_limit(0);
	
    $origem     = $ArrayDados['origem'];
    $destino    = $ArrayDados['destino'];
    $date_ini   = $ArrayDados['date_ini'];
    $date_fim   = $ArrayDados['date_fim'];
    $dias       = $ArrayDados['dias'];
    $cod        = str_replace(" ", "", $ArrayDados['cod']);
	
    $db  = conectDB();

	/*
	$SQL = "SELECT `id`, `SQL_ICODBUS`, `SQL_IDESCRI`, `SQL_IINDEMB`, `SQL_ILOCDEP`, `SQL_IAPLICA`, `SQL_IMARCA`, `SQL_IFORNEC_1`, `SQL_IREFFAB_1`, `SQL_IFORNEC_2`, `SQL_IREFFAB_2`, `SQL_IPREVEN` FROM `uni_produtos_web` WHERE SQL_ICODBUS like '%$cod%'";
            

    $result1      = mysqli_query($db,$SQL);
    $result_total = mysqli_num_rows($result1);
	$result       = mysqli_fetch_array($result1);
	
	$SQL2 = "SELECT `id`,`LOJA`,`PROD_CODIGO`,SUM(`MOV_SAIDAS`) as MOV_SAIDAS,PROD_PRECO,PROD_DESCRICAO,PROD_REFERENCIA FROM `uni_movimentacao_web_log".$destino."` WHERE `LOJA` = $destino AND MOV_DATA BETWEEN '$date_ini' AND '$date_fim' AND PROD_CODIGO like '%$cod%' GROUP BY PROD_CODIGO";
   
    $result2s       = mysqli_query($db,$SQL2);
    $result2        = mysqli_fetch_array($result2s);
    $result2_total  = mysqli_num_rows($result2s); */
	
	//$SQL = "SELECT W.`id`,W.`LOJA`,W.`PROD_CODIGO`,SUM(W.`MOV_SAIDAS`) as MOV_SAIDAS,W.PROD_PRECO,W.PROD_DESCRICAO,W.PROD_REFERENCIA,P.LOJA_1STOCK as QUANT_ORIGEM,P.LOJA_".$destino."STOCK as QUANT_DESTINO FROM `uni_movimentacao_web` W INNER JOIN uni_produtos_web P ON W.PROD_CODIGO=P.SQL_ICODBUS  WHERE W.`LOJA` = $destino AND W.MOV_DATA BETWEEN '$date_ini' AND '$date_fim' AND W.PROD_CODIGO = '$cod' GROUP BY PROD_CODIGO";
	$SQL = "SELECT SQL_ICODBUS as PROD_CODIGO,SQL_IPREVEN as PROD_PRECO,SQL_IDESCRI as PROD_DESCRICAO,SQL_IREFFAB_1 as PROD_REFERENCIA,LOJA_1STOCK as QUANT_ORIGEM,LOJA_".$destino."STOCK as QUANT_DESTINO, SQL_ILOCDEP FROM uni_produtos_web WHERE SQL_ICODBUS = '$cod' GROUP BY SQL_ICODBUS";
   

    $result1      = mysqli_query($db,$SQL);
	$result       = mysqli_fetch_array($result1);
    $result_total = mysqli_num_rows($result1);
	
	$dias_interval = difdate($date_ini,$date_fim);

	  //$result01 = mov($result['PROD_CODIGO'], $origem, $destino);
	 /* if($result_total > 0){
		  $media  = round($result['MOV_SAIDAS'] / $dias_interval,2);
		  $saidas = $result['MOV_SAIDAS'];
	  }else{
		  $media  = 0;
		  $saidas = 0;
	  } */
	  
	  $r1 = [
			"PROD_CODIGO" => $result['PROD_CODIGO'],
			"PROD_REFERENCIA" => $result['PROD_REFERENCIA'],
			"PROD_DESCRICAO" => $result['PROD_DESCRICAO'],
			"DIASINTERVAL" => $dias_interval,
			"MOV_SAIDAS" => 0,
			"MEDIA" => 0,
			"QUANT_ORIGEM" => $result['QUANT_ORIGEM'],
			"QUANT_DESTINO" => $result['QUANT_DESTINO'],
			"DIAS" => $dias,
			"PROD_PRECO" => $result['PROD_PRECO'],
			"QUANT" => $result_total,
			"DEPOSITO" => $result['SQL_ILOCDEP'],
	  ];

    $JSON = json_encode($r1);
    
    echo $JSON;
}

function consultar2($ArrayDados){ //jaylan

	ini_set('max_execution_time', -1);
	set_time_limit(0);
	
    $origem     = $ArrayDados['origem'];
    $destino    = $ArrayDados['destino'];
    $date_ini   = $ArrayDados['date_ini'];
    $date_fim   = $ArrayDados['date_fim'];
    $dias       = $ArrayDados['dias'];
    $cod        = str_replace(" ", "", $ArrayDados['cod']);
	
    $db  = conectDB();
    $SQL = "SELECT SQL_ICODBUS as PROD_CODIGO,SQL_IPREVEN as PROD_PRECO,SQL_IDESCRI as PROD_DESCRICAO,SQL_IREFFAB_1 as PROD_REFERENCIA,LOJA_1STOCK as QUANT_ORIGEM,LOJA_".$destino."STOCK as QUANT_DESTINO, SQL_ILOCDEP FROM uni_produtos_web WHERE SQL_ICODBUS = '$cod' GROUP BY SQL_ICODBUS";
   

    $result1      = mysqli_query($db,$SQL);
	$result       = mysqli_fetch_array($result1);
    $result_total = mysqli_num_rows($result1);
	
	$dias_interval = difdate($date_ini,$date_fim);

	  $r1 = [
			"PROD_CODIGO" => $result['PROD_CODIGO'],
			"PROD_REFERENCIA" => $result['PROD_REFERENCIA'],
			"PROD_DESCRICAO" => $result['PROD_DESCRICAO'],
			"DIASINTERVAL" => $dias_interval,
			"MOV_SAIDAS" => 0,
			"MEDIA" => 0,
			"QUANT_ORIGEM" => $result['QUANT_ORIGEM'],
			"QUANT_DESTINO" => $result['QUANT_DESTINO'],
			"DIAS" => $dias,
			"PROD_PRECO" => $result['PROD_PRECO'],
			"QUANT" => $result_total,
			"DEPOSITO" => $result['SQL_ILOCDEP'],
	  ];

    
    return $r1;
}

function Table_Traslados($ArrayDados){ //jaylan

	ini_set('max_execution_time', -1);
	set_time_limit(0);
	
    $origem     = $ArrayDados['origem'];
    $destino    = $ArrayDados['destino'];
    $date_ini   = $ArrayDados['date_ini'];
    $date_fim   = $ArrayDados['date_fim'];
    $dias       = $ArrayDados['dias'] ;
    $fornecedor = $ArrayDados['fornecedor'];
    $grupo      = $ArrayDados['grupo'];
    $tipo       = $ArrayDados['tipo'];
    $deposito   = $ArrayDados['deposito'];
    $usuario    = $ArrayDados['usuario'];

    $Identificador = $ArrayDados['Identificador'];
	
    $arrayparametros = array();
    $complementosql = "";
	
	if($grupo != ""){
			$complementosql .= " AND LEFT(W.`PROD_CODIGO` ,3) = '$grupo' ";
	}else{
		if ($deposito != "") {
			$complementosql .= " AND  P.`SQL_ILOCDEP` = $deposito ";
		}
	}

            
	//$SQL = "SELECT `id`,`LOJA`,`PROD_CODIGO`,SUM(`MOV_SAIDAS`) as MOV_SAIDAS,PROD_PRECO,PROD_DESCRICAO,PROD_REFERENCIA FROM `uni_movimentacao_web` W INNER JOIN uni_produtos_web P  WHERE `LOJA` = $destino AND MOV_DATA BETWEEN '$date_ini' AND '$date_fim' $complementosql GROUP BY PROD_CODIGO"; 
	$SQL = "SELECT W.`id`,W.`LOJA`,W.`PROD_CODIGO`,SUM(W.`MOV_SAIDAS`) as MOV_SAIDAS,W.PROD_PRECO,W.PROD_DESCRICAO,W.PROD_REFERENCIA,P.LOJA_1STOCK as QUANT_ORIGEM,P.LOJA_".$destino."STOCK as QUANT_DESTINO, W.`PROD_DEPOSITO` FROM `uni_movimentacao_web` W INNER JOIN uni_produtos_web P ON W.PROD_CODIGO=P.SQL_ICODBUS WHERE P.LOJA".$destino."_IPROCED != 'X' AND W.`LOJA` = $destino AND W.MOV_DATA BETWEEN '$date_ini' AND '$date_fim' $complementosql GROUP BY PROD_CODIGO ORDER BY MOV_SAIDAS DESC";
            
    $db  = conectDB();

    $result           = mysqli_query($db,$SQL);
	
    $total_rows_table = mysqli_num_rows($result);

    if($total_rows_table > 0){
        $dias_interval = difdate($date_ini,$date_fim);                      //365 dias
        $consulta = [];
        while($row = mysqli_fetch_array($result)){
              //$result01 = mov($row['PROD_CODIGO'], $origem, $destino);
              $media    = round($row['MOV_SAIDAS'] / $dias_interval,2);
              $sugestao = sug($media,$dias,$row['QUANT_ORIGEM'], $row['QUANT_DESTINO']);
             // $color    = bg($row['QUANT_ORIGEM'],$sugestao);
            if($row['QUANT_ORIGEM'] >= 3 AND $sugestao != 0){  
              $r1 = [
                    "BGCOLOR" => "",//$color,
                    "PROD_CODIGO" => $row['PROD_CODIGO'],
                    "PROD_REFERENCIA" => $row['PROD_REFERENCIA'],
                    "PROD_DESCRICAO" => $row['PROD_DESCRICAO'],
                    "DIASINTERVAL" => $dias_interval,
                    "MOV_SAIDAS" => $row['MOV_SAIDAS'],
                    "MEDIA" => $media,
                    "QUANT_ORIGEM" => $row['QUANT_ORIGEM'],
                    "QUANT_DESTINO" => $row['QUANT_DESTINO'],
                    "SUGESTAO" => "",
                    "DIAS" => $dias,
                    "PROD_PRECO" => $row['PROD_PRECO'],
                    "PROD_DEPOSITO" => $row['PROD_DEPOSITO'],
              ];
              array_push($consulta, $r1);
            }else{ continue; }  
        }
        
        $JSON = json_encode($consulta);
        $arquivo = fopen("..\..\..\ASV\atual.txt",'w');
        fwrite($arquivo, $JSON);
        fclose($arquivo);
        $time = date("his");
        echo $JSON;
    }else{
        $JSON = "Nenhum Resultado encontrado";
        
        $arquivo = fopen("..\..\..\ASV\atual.txt",'w');
        fwrite($arquivo, $JSON);
        fclose($arquivo);
        
        $time = date("his");
        echo $JSON;
    }
}

function mov($cod,$ini,$fim){
    $db  = conectDB();
	
	$sql     = "SELECT `SQL_ICODBUS`,`SQL_SALDO`,SQL_LOJA FROM `uni_produtos_quant` WHERE `SQL_ICODBUS` like '%$cod%' AND SQL_LOJA IN ('$ini','$fim')";
    $result  = mysqli_query($db,$sql);
    $array2 = [
                "QUANT_ORIGEM" => "",
                "QUANT_DESTINO" => "",
              ];

          while($L = mysqli_fetch_array($result)){
              if($L['SQL_LOJA'] == $ini){
                 $array2['QUANT_ORIGEM'] = $L['SQL_SALDO'];
              }else{
                 $array2['QUANT_DESTINO'] = $L['SQL_SALDO'];
              }
          }
        
     return $array2;     
}

function sug($media,$dias,$est_matriz, $est_filial){
    if($est_matriz >= 3){
        $cal1 = $media * $dias;
        
        $result = ceil($cal1) - $est_filial;
        if($result < 0){
            $result = 0;
        }
    }else{
        $result = 0;
    }
    
    return $result;
}

function bg($matriz,$sugestao){
    
    if($sugestao == $matriz && $sugestao != 0){
        $bg = "#f7c44f";
    }else if($sugestao > $matriz){
        $bg = "#ed8080";
    }else{
        $bg = "#fff";
    }
    
    return $bg;
}



function difdate($data_inicio,$data_fim){
    $data_inicio  = new DateTime($data_inicio);
    $data_fim     = new DateTime($data_fim);

    // Resgata diferença entre as datas
    $dateInterval = $data_inicio->diff($data_fim);
    $result = $dateInterval->days;
    
    return $result;
}


function Table_Traslados2($ArrayDados){ //jaylan
    $Identificador = $ArrayDados['Identificador'];
	
    $arrayparametros = array();
    $complementosql = "";
            
	$SQL = "SELECT `id`,`prod_codigo`,sugestao,separado,prod_desc,prod_ref FROM `uni_analise` WHERE `pedido_cod` = $Identificador";
            
    $db  = conectDB();

    $result           = mysqli_query($db,$SQL);
    $total_rows_table = mysqli_num_rows($result);
            $consulta = [];


    while($row = mysqli_fetch_array($result)){
          $r1 = [
                "ID" => $row['id'],
                "PROD_CODIGO" => $row['prod_codigo'],
                "PROD_REFERENCIA" => $row['prod_ref'],
                "PROD_DESCRICAO" => $row['prod_desc'],
                "SUGESTAO" => $row['sugestao'],
                "SEPARADO" => $row['separado'],
          ];
          array_push($consulta, $r1);
    }
        
        $JSON = json_encode($consulta);
        $arquivo = fopen("..\..\..\ASV\pedidos.txt",'w');
        fwrite($arquivo, $JSON);
        fclose($arquivo);
        $time = date("his");
        return $time;
}

function deletar_pedido($ArrayDados){ //jaylan
    $Identificador = $ArrayDados['Identificador'];
	
    $db  = conectDB();
	$SQL = "DELETE FROM `uni_pedidos` WHERE `id` =  $Identificador";
    $result = mysqli_query($db,$SQL);

    return $result;
}

function deletar_item($ArrayDados){ //jaylan
    $Identificador = $ArrayDados['Identificador'];
	
    $db  = conectDB();
	$SQL = "DELETE FROM `uni_analise` WHERE `id` =  $Identificador";
    $result = mysqli_query($db,$SQL);

    return $result;
}

function UP_pedido_COD($id_ped, $codigo_linha, $nf, $id){ //jaylan
	
    $db  = conectDB();
	$SQL = "UPDATE `uni_pedidos` SET `pedido` = '1' WHERE `id` = $id";
	$result = mysqli_query($db,$SQL);

	$SQL2 = "UPDATE `uni_pedidos_arquivos` SET `sofcon_pedido` = '$id_ped', `sofcon_nf` = '$nf' WHERE `id` = $codigo_linha";	
	$result2 = mysqli_query($db,$SQL2);

    return $result2;
}

function UP_pedido($ArrayDados){ //jaylan
    $Identificador = $ArrayDados['Identificador'];
    $status = $ArrayDados['status'];
    $usuario = $ArrayDados['usuario'];
	
    $db  = conectDB();
	
	if($usuario != ''){
		$SQL = "UPDATE `uni_pedidos` SET `status`= '$status', usuario = '$usuario' WHERE `id` = $Identificador";
	}else{
		$SQL = "UPDATE `uni_pedidos` SET `status`= '$status' WHERE `id` = $Identificador";
	}
	
    $result = mysqli_query($db,$SQL);

    return $result;
}

function UP_pedidoM($ArrayDados){ //jaylan
    $Identificador = $ArrayDados['Identificador'];
	
    $db  = conectDB();
	
	$SQL = "UPDATE `uni_pedidos` SET `pass`= '0' WHERE `id` = $Identificador";
    $result = mysqli_query($db,$SQL);

    return $result;
}

function UP_pedido_manual($ArrayDados){ //jaylan
    $Identificador = $ArrayDados['Identificador'];
    $status = $ArrayDados['status'];
    $usuario = $ArrayDados['usuario'];
	
    $db  = conectDB();
	
	if($status != 'EXPORTADO' AND $status != 'CONCLUIDO'){
		$SQL = "UPDATE `uni_pedidos` SET `status`= '$status', pass = '0' WHERE `id` = $Identificador";
	}else{
		$SQL = "UPDATE `uni_pedidos` SET `status`= '$status', pass = '1' WHERE `id` = $Identificador";
	}
	
    $result = mysqli_query($db,$SQL);

    return $result;
}



function UP_pedido_EXP($id){ //jaylan
	
    $db     = conectDB();
	$exportador = $_SESSION['id_user'];
	$SQL    = "UPDATE `uni_pedidos` SET status = 'EXPORTADO', exp = '$exportador' WHERE id = $id";
    $result = mysqli_query($db,$SQL);

    return $result;
}


function buscar_desc($GROUP,$cod_produto){ //jaylan
	
    $db  = conectDB();
	$SQL = "SELECT desconto FROM `uni_descontos_group` WHERE `group_id` = $GROUP";
    $result = mysqli_fetch_array(mysqli_query($db,$SQL));
    $desconto = $result[0];
    $verP = prodDesconto($cod_produto);
    
    if($verP != null){
        $desconto = $verP;
    }

    return $desconto;
}

function prodDesconto($cod_produto){ //jaylan
	
    $db  = conectDB();
	$SQL = "SELECT desconto FROM `uni_descontos_prod` WHERE `product_id` = '$cod_produto'";
    $result = mysqli_fetch_array(mysqli_query($db,$SQL));
    if($result['desconto']){
        $resut = $result['desconto'];
    }else{
        $resut = null;
    }

    return $resut;
}


function produtos(){ //jaylan
	
    $db  = conectDB();
	$SQL = "SELECT DISTINCT PROD_CODIGO FROM `uni_movimentacao_web`";
    $result = mysqli_query($db,$SQL);

    return $result;
}


